SLA Policies
GET
/workspaces/{workspaceId}/inbox/sla-policies
List SLA policies
Parametry zapytania
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Treść odpowiedzi
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
results
array of object
wymagane
Pokaż atrybuty podrzędne
results.createdAt
string
wymagane
results.description
string
wymagane
results.id
string
wymagane
results.metrics
object
Pokaż atrybuty podrzędne
results.metrics.firstReplyTime
array of object
Pokaż atrybuty podrzędne
results.metrics.firstReplyTime.breachThreshold
integer
wymagane
The number of minutes until a ticket reaches a breached state for this SLA metric.
results.metrics.firstReplyTime.priority
string
wymagane
Apply the metric for tickets with this priority
results.metrics.firstReplyTime.warningThreshold
integer
wymagane
The number of minutes until a ticket reaches a warning state for this SLA metric.
results.metrics.nextReplyTime
array of object
Pokaż atrybuty podrzędne
results.metrics.nextReplyTime.breachThreshold
integer
wymagane
The number of minutes until a ticket reaches a breached state for this SLA metric.
results.metrics.nextReplyTime.priority
string
wymagane
Apply the metric for tickets with this priority
results.metrics.nextReplyTime.warningThreshold
integer
wymagane
The number of minutes until a ticket reaches a warning state for this SLA metric.
results.name
string
wymagane
results.timeKeepingMethod
string
wymagane
Determine how the timers are tracking expiry.
- clock will simply count using the full 24 hours of a day.
- businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
results.updatedAt
string
wymagane
results.workspaceId
string
wymagane
Przykład kodu
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/workspaces/{workspaceId}/inbox/sla-policies
Create SLA policy
Treść żądania
name
string
wymagane
description
string
wymagane
timeKeepingMethod
string
wymagane
Determine how the timers are tracking expiry.
- clock will simply count using the full 24 hours of a day.
- businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
metrics
object
Pokaż parametry podrzędne
metrics.firstReplyTime
array of object
Pokaż parametry podrzędne
metrics.firstReplyTime.breachThreshold
integer
wymagane
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
wymagane
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
wymagane
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
Pokaż parametry podrzędne
metrics.nextReplyTime.breachThreshold
integer
wymagane
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
wymagane
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
wymagane
The number of minutes until a ticket reaches a warning state for this SLA metric.
Treść odpowiedzi
createdAt
string
wymagane
description
string
wymagane
id
string
wymagane
metrics
object
Pokaż atrybuty podrzędne
metrics.firstReplyTime
array of object
Pokaż atrybuty podrzędne
metrics.firstReplyTime.breachThreshold
integer
wymagane
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
wymagane
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
wymagane
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
Pokaż atrybuty podrzędne
metrics.nextReplyTime.breachThreshold
integer
wymagane
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
wymagane
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
wymagane
The number of minutes until a ticket reaches a warning state for this SLA metric.
name
string
wymagane
timeKeepingMethod
string
wymagane
Determine how the timers are tracking expiry.
- clock will simply count using the full 24 hours of a day.
- businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
updatedAt
string
wymagane
workspaceId
string
wymagane
Przykład kodu
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}
Get SLA policy
Treść odpowiedzi
createdAt
string
wymagane
description
string
wymagane
id
string
wymagane
metrics
object
Pokaż atrybuty podrzędne
metrics.firstReplyTime
array of object
Pokaż atrybuty podrzędne
metrics.firstReplyTime.breachThreshold
integer
wymagane
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
wymagane
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
wymagane
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
Pokaż atrybuty podrzędne
metrics.nextReplyTime.breachThreshold
integer
wymagane
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
wymagane
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
wymagane
The number of minutes until a ticket reaches a warning state for this SLA metric.
name
string
wymagane
timeKeepingMethod
string
wymagane
Determine how the timers are tracking expiry.
- clock will simply count using the full 24 hours of a day.
- businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
updatedAt
string
wymagane
workspaceId
string
wymagane
Przykład kodu
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}
Update SLA policy
Treść żądania
name
string
description
string
timeKeepingMethod
string
Determine how the timers are tracking expiry.
- clock will simply count using the full 24 hours of a day.
- businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
metrics
object
Pokaż parametry podrzędne
metrics.firstReplyTime
array of object
Pokaż parametry podrzędne
metrics.firstReplyTime.breachThreshold
integer
wymagane
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
wymagane
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
wymagane
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
Pokaż parametry podrzędne
metrics.nextReplyTime.breachThreshold
integer
wymagane
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
wymagane
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
wymagane
The number of minutes until a ticket reaches a warning state for this SLA metric.
Treść odpowiedzi
createdAt
string
wymagane
description
string
wymagane
id
string
wymagane
metrics
object
Pokaż atrybuty podrzędne
metrics.firstReplyTime
array of object
Pokaż atrybuty podrzędne
metrics.firstReplyTime.breachThreshold
integer
wymagane
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
wymagane
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
wymagane
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
Pokaż atrybuty podrzędne
metrics.nextReplyTime.breachThreshold
integer
wymagane
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
wymagane
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
wymagane
The number of minutes until a ticket reaches a warning state for this SLA metric.
name
string
wymagane
timeKeepingMethod
string
wymagane
Determine how the timers are tracking expiry.
- clock will simply count using the full 24 hours of a day.
- businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
updatedAt
string
wymagane
workspaceId
string
wymagane
Przykład kodu
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}
Delete SLA policy
Przykład kodu
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'